### Method

# Gsk RoundedRectinit_from_rect

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_init_from_rect (
      GskRoundedRect* self,
      const graphene_rect_t* bounds,
      float radius
    )

#### Description [src]

Initializes `self` to the given `bounds` and sets the radius of all four corners to `radius`.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  A `graphene_rect_t`

  The data is owned by the caller of the method.

`radius`

  Type: `float`

  The border radius.

#### Return value

Type: `GskRoundedRect`

The initialized rectangle.

The data is owned by the instance.